【Swift4】ReachabilitySwift らへんで怒られた模様

研究
Skyler Ewing at Pexels
この記事は約1分で読めます。

iOSのFB SDKを更新しろと言われたのでpod updateを掛けたはずが。

SWIFT_VERSION '5.0' is unsupported, supported versions are: 3.0, 4.0, 4.2. (in target 'ReachabilitySwift')

と、関係ない筈のReachabilitySwiftに怒られた。

Swift 4 ネットワークの接続チェック – Qiita

素直にサーバ接続の成否を監視したく入れていたのですが…。
ReachabilitySwift を pod から外して実装をコメントしておかないとこの忙しいのに作業が進まない。
ネットが生きててもfirebaseに到達できないと意味ないからそっちで怒ろうかなw

コメント

タイトルとURLをコピーしました